<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" xmlns="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:set="http://exslt.org/sets" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="op set java sp " >

<xsl:param name="vSrcNode"/>

<xsl:template match="text()|@*"/>
<xsl:template match="*[@sc:refUri]">
<attrRef nm="?" refUri="{@sc:refUri}"/>
</xsl:template>

<xsl:template match="/sc:item">
<xsl:apply-templates select="op:mdlExp"/>
</xsl:template>

<xsl:template match="sc:item/op:mdlExp">
	

	

<xsl:apply-templates/>
<xsl:apply-overlays/>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcMcqSur[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcMcqSur"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcMcqMur[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcMcqMur"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcNumerical[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcNumerical"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcMatch[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcMatch"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcOrdWord[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcOrdWord"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcCloze[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcCloze"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcField[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcField"/>
<xsl:apply-templates/>
</xsl:template>
			
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:ue[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:ue"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:assmntUa[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:assmntUa"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:courseUa[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:courseUa"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExp/sp:trainUcCoQuiz[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlExp:trainUcCoQuiz"/>
<xsl:apply-templates/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:trainUcMcqSur[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:trainUcMcqSur"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:trainUcMcqMur[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:trainUcMcqMur"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:trainUcMatch[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:trainUcMatch"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:trainUcOrdWord[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:trainUcOrdWord"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:trainUcCloze[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:trainUcCloze"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:trainUcField[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:trainUcField"/>
<xsl:apply-templates/>
</xsl:template>
			
				
			
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:ue[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:ue"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:assmntUa[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:assmntUa"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:courseUa[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:courseUa"/>
<xsl:apply-templates/>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlCat/sp:trainUcCoQuiz[@sc:refUri]">
<attrRef refUri="{@sc:refUri}" nm="op_mdlCat:trainUcCoQuiz"/>
<xsl:apply-templates/>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ordWordOpt">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			
			
				
				
				
				
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mdlExpM">
<xsl:apply-templates xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
<xsl:apply-overlays xmlns:xsl="http://www.w3.org/1999/XSL/Transform"/>
</xsl:template>
			
			
				
				
			
		
			
			
				
				
				
				
			
		
			
			
				
				
				
				
			
		
			
			
				
				
			
		
			
			
				
				
			
		
			
			
				
				
			
		
			
				
				
			
		
			
			
				
				
			
		

</xsl:stylesheet>